<div class='card icon-card border-0 bg-transparent'>
  <div class='text-start'>
    <img class='icon' src='{{@icon.image.value}}{{this.size}}' alt={{@icon.localName}} />
  </div>

  <div class='card-body p-0 pt-2'>
    {{#if @icon.canEdit}}
      <Dropdown class='float-end'>
        <ModelActions::Record @record={{@icon}} />

        {{#if @onDelete}}
          <div class='dropdown-divider'></div>

          <button type='button' class='dropdown-item text-start btn-delete text-danger' {{on 'click' (fn @onDelete @icon)}}>
            <FaIcon @icon='trash' />
            {{capitalize (t 'delete')}}
          </button>
        {{/if}}
      </Dropdown>
    {{/if}}

    <LinkTo @route='browse.sites.index' @query={{hash icon=@icon.id}} class='icon-name font-weight-bold'>
      {{@icon.localName}}
    </LinkTo>

    <div class='icon-description'>
      <Article::FirstParagraph @contentBlocks={{@icon.contentBlocks}} />
    </div>
  </div>
</div>